API referenceScenes

Read the composition a scene mounts

The HTML text of the hosted composition the scene mounts (resolved:"…"), with its url and size.

Free.

GET
/scenes/{sceneId}/composition/source

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

sceneId*string
Formatuuid

Query Parameters

element_id?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/scenes/497f6eca-6276-4993-bfeb-53cbbbba6f08/composition/source"
{
  "data": {
    "scene_id": "string",
    "element_id": "string",
    "url": "string",
    "source": "resolved",
    "bytes": 0,
    "html": "string",
    "elements": [
      {
        "element_id": "string",
        "url": "string"
      }
    ]
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}